> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Dữ liệu tham chiếu thị trường

> Truy vấn thông tin giá trần, giá sàn, giá tham chiếu của chứng khoán theo ngày giao dịch.



## OpenAPI

````yaml /vi/openapi/ssi.openapi.yaml get /api/v3/data/masterdata
openapi: 3.1.2
info:
  title: SSI FastConnect Open API
  version: 3.0.0
servers:
  - url: https://api.ssi.com.vn
    description: Production
security:
  - SsiBearerAuth: []
tags:
  - name: authentication
    description: Xác thực và quản lý token.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản giao dịch.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu thị trường.
    x-group: Dữ liệu thị trường
  - name: trading
    description: Giao dịch và quản lý lệnh.
    x-group: Giao dịch
  - name: conditional-orders
    description: Lệnh điều kiện.
    x-group: Lệnh điều kiện
paths:
  /api/v3/data/masterdata:
    get:
      tags:
        - market-data
      summary: Dữ liệu tham chiếu thị trường
      description: >-
        Truy vấn thông tin giá trần, giá sàn, giá tham chiếu của chứng khoán
        theo ngày giao dịch.
      operationId: getMasterData
      parameters:
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/UserAgent'
        - $ref: '#/components/parameters/AcceptLanguage'
        - name: from
          in: query
          description: >-
            Ngày bắt đầu theo định dạng `YYYY/MM/DD`. Không truyền thì trả dữ
            liệu ngày mới nhất.
          required: false
          schema:
            type: string
        - name: to
          in: query
          description: >-
            Ngày kết thúc theo định dạng `YYYY/MM/DD`. Không truyền thì trả dữ
            liệu ngày mới nhất.
          required: false
          schema:
            type: string
        - name: pageIndex
          in: query
          description: >-
            Chỉ số trang khi phân trang kết quả, bắt đầu từ 1. Nếu không cung
            cấp thì hệ thống sẽ sử dụng giá trị mặc định là 1.
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          description: >-
            Số lượng bản ghi trên mỗi trang. Nếu không cung cấp thì hệ thống sẽ
            sử dụng giá trị mặc định là 10.
          required: false
          schema:
            type: integer
            minimum: 1
            default: 10
      responses:
        '200':
          description: Thành công.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MasterDataResponse'
              example:
                code: 200
                msg: ''
                data:
                  - board: UPCOM
                    symbol: BBM
                    tradingDate: 2026/06/20
                    ceiling: 8600
                    floor: 6400
                    refPrice: 7500
                  - board: HOSE
                    symbol: CCI
                    tradingDate: 2026/06/20
                    ceiling: 17900
                    floor: 15600
                    refPrice: 16750
                pageSize: 2
                pageIndex: 10
                pagesCount: 993
                itemsCount: 1985
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - SsiBearerAuth: []
components:
  parameters:
    ContentType:
      name: Content-Type
      in: header
      required: true
      description: Định dạng nội dung request body. Chủ yếu là application/json.
      schema:
        type: string
        default: application/json
    UserAgent:
      name: User-Agent
      in: header
      required: false
      description: Thông tin client gửi request.
      schema:
        type: string
    AcceptLanguage:
      name: Accept-Language
      in: header
      required: false
      description: >-
        Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc
        định là en
      schema:
        type: string
        default: en
  schemas:
    MasterDataResponse:
      type: object
      properties:
        code:
          description: Mã kết quả.
          type: integer
        msg:
          description: Thông báo kết quả.
          type: string
        pageSize:
          description: Số lượng bản ghi trên mỗi trang.
          type: integer
        pageIndex:
          description: Chỉ số trang.
          type: integer
        pagesCount:
          description: Tổng số trang.
          type: integer
        itemsCount:
          description: Tổng số bản ghi.
          type: integer
        data:
          description: Dữ liệu trả về.
          type: array
          items:
            type: object
            properties:
              board:
                description: Mã sàn giao dịch.
                type: string
              symbol:
                description: Mã chứng khoán hoặc mã hợp đồng phái sinh.
                type: string
              exchange:
                description: Sàn giao dịch.
                type: string
              tradingDate:
                description: Ngày giao dịch.
                type: string
              ceiling:
                description: Giá trần.
                type: number
              floor:
                description: Giá sàn.
                type: number
              refPrice:
                description: Giá tham chiếu.
                type: number
    ErrorResponse:
      type: object
      properties:
        code:
          description: Mã kết quả hoặc mã xác thực giao dịch.
          type: string
        msg:
          description: Thông báo kết quả xử lý.
          type: string
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Chưa được xác thực hoặc token không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalError:
      description: Lỗi nội bộ máy chủ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    SsiBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Access token lấy từ endpoint /api/v3/auth/token hoặc
        /api/v3/auth/refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.